Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004051TestLinkRequirement Managementpublic2010-11-24 16:192011-07-02 13:49
ReporterJulian 
Assigned ToJulian 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004051: Ajax login on timeout for requirement specifications to avoid data loss
DescriptionReuse mechanism used on Test Case edit to avoid data loss when session expires.
Steps To Reproduce1. Go to edit test case - write some text (don't save)
2. open testlink in a new tab and press logout - this simulates logout after timeout
3. Go back to the edited test case and press save
4. A popup window appears above the test case
5. Enter credentials and login
6. Your login and the test case is saved.
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004049closedasimon Ajax login on timeout for requirements to avoid data loss 
related to 0004535closedfman Tree is not refreshed after editing Requirement Specification 

-  Notes
(0012722)
Julian (reporter)
2010-11-24 17:12

ajax login on timeout checked in for branch 1.9 and head.

needs to be fixed: tree is not refreshed anymore when submitting form (not as critical as data loss)
(0015049)
Julian (reporter)
2011-06-01 20:45
edited on: 2011-06-01 20:45

major issue has been fixed. tree refresh issue will be tracked in 0004535

(0015442)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2010-11-24 16:19 Julian New Issue
2010-11-24 16:19 Julian Status new => assigned
2010-11-24 16:19 Julian Assigned To => asimon
2010-11-24 16:19 Julian Issue generated from: 0004049
2010-11-24 16:19 Julian Relationship added related to 0004049
2010-11-24 17:12 Julian Note Added: 0012722
2011-06-01 20:40 Julian Relationship added related to 0004535
2011-06-01 20:45 Julian Note Added: 0015049
2011-06-01 20:45 Julian Status assigned => resolved
2011-06-01 20:45 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-06-01 20:45 Julian Resolution open => fixed
2011-06-01 20:45 Julian Assigned To asimon => Julian
2011-06-01 20:45 Julian Note Edited: 0015049 View Revisions
2011-07-02 13:49 fman Note Added: 0015442
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker